LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07178Bug reports[All Projects] Otherpublic2013-01-11 02:022013-01-22 21:19
Reporterstevage 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07178: No administrator email address set? Show ugly message to participants!
DescriptionIf you don't set the administrator email address correctly on a public registration survey, when users register for a token, they get this horrible message:

----
Invalid address:

Thank you for registering to participate in this survey.

An email has been sent to the address you provided with access details for this survey. Please follow the link in that email to proceed.

Survey administrator ()
----

Just a suggestion: is it absolutely critical that the admin email address get set? Should participants see such an ugly message if it isn't? (What if I don't want to show them an email address in this screen?)
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121121
Browser
Database & DB-Versiondunno, irrelevant?
Operating System (Server)ubuntu
Webserver software & versiondunno, irrelevant?
PHP Versiondunno, irrelevant?
Attached Files

- Relationships

-  Notes
User avatar (23619)
c_schmitz (administrator)
2013-01-12 14:13

1.) In general an email needs a sender address - so setting an administrator email could be considered somewhat of a necessity.

2.) All in all I assume that you test a survey before you open it to a general audience (at least that's how most people are doing it) so the 'ugly message' is not a problem because it shows that is something wrong (see 1.)
User avatar (23635)
stevage (reporter)
2013-01-14 03:48
edited on: 2013-01-14 03:54

1. Isn't there a default email address for the whole installation that can be used, if there's no admin email address set for this survey?

2. Yes, it's a problem because this message doesn't tell you what you did wrong. (It took me a while to figure it out). At the very least "Invalid address:" could say "No administrator email address has been set." (But I'm still not sure why you'd report this to the end user - it would make more sense to warn at the time the survey is activated.)

(But obviously all of this is fairly trivial, and is certainly not causing me any issues, now that I know what's going on.)

User avatar (23693)
DenisChenu (developer)
2013-01-16 12:14

1: if admin survey mail is not set, general admin are not used in registering ?
Think it was.
User avatar (23734)
c_schmitz (administrator)
2013-01-21 21:24

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11334 [^]
User avatar (23745)
c_schmitz (administrator)
2013-01-22 14:53

2.00+ Build 120122 released.
User avatar (23768)
c_schmitz (administrator)
2013-01-22 21:19

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11356 [^]

- Related Changesets
LimeSurvey: master d9c4aa81
Timestamp: 2013-01-21 20:23:47
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07178: Administrator email not mandatory if token features or admin notifications are used
mod - application/views/admin/survey/subview/tab_view.php Diff ] File ]
mod - scripts/admin/surveysettings.js Diff ] File ]
LimeSurvey: 2.1 f486d881
Timestamp: 2013-01-21 20:23:47
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07178: Administrator email not mandatory if token features or admin notifications are used
mod - application/views/admin/survey/subview/tab_view.php Diff ] File ]
mod - scripts/admin/surveysettings.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-11 02:02 stevage New Issue
2013-01-12 14:13 c_schmitz Note Added: 23619
2013-01-12 14:13 c_schmitz Assigned To => c_schmitz
2013-01-12 14:13 c_schmitz Status new => feedback
2013-01-14 03:48 stevage Note Added: 23635
2013-01-14 03:48 stevage Status feedback => assigned
2013-01-14 03:54 stevage Note Edited: 23635 View Revisions
2013-01-16 12:14 DenisChenu Note Added: 23693
2013-01-21 21:23 c_schmitz Status assigned => resolved
2013-01-21 21:23 c_schmitz Fixed in Version => 2.00+
2013-01-21 21:23 c_schmitz Resolution open => fixed
2013-01-21 21:24 c_schmitz Changeset attached => LimeSurvey master d9c4aa81
2013-01-21 21:24 c_schmitz Note Added: 23734
2013-01-22 14:53 c_schmitz Note Added: 23745
2013-01-22 14:53 c_schmitz Status resolved => closed
2013-01-22 21:19 c_schmitz Changeset attached => LimeSurvey 2.1 f486d881
2013-01-22 21:19 c_schmitz Note Added: 23768


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker